globales
  filas: vector[3] de vector[15] de cadena;
  matriz, matriz1, matriz2: vector[9] de vector[15] de cadena;
  FILAS, COLS, i: entero;
fin


funcion dameCaracter(n: entero) : cadena
es
  locales
    c: cadena;
  fin
secuencia
  si n < 0 \/ n >= 3 entonces // Por si acaso
    devuelve "!";
  fin
  si n == 0 entonces
    c = ":-o ";
  si_no
    si n == 1 entonces
      c = ":-) ";
    si_no
      c = ":-D ";
    fin
  fin
  devuelve c;
fin


funcion rellenaFila(n: entero) : entero
es
  locales
    c: cadena;
    j: entero;
  fin
secuencia
  c = llama dameCaracter(n);
  para j = 0 hasta COLS-1 hacer
    filas[n][j] = c;
  fin
  devuelve n;
fin


funcion mostrar(texto: cadena) : cadena
es
  locales
    i, j: entero;
  fin
secuencia
  escribe texto;
  para i = 0 hasta FILAS-1 hacer
    para j = 0 hasta COLS-1 hacer
      escribe matriz[i][j];
    fin
    nl;
  fin
  devuelve "";
fin


secuencia
  FILAS = 9;
  COLS = 15;

  // Rellenar las matrices
  i = 0;
  mientras i < FILAS hacer
    matriz1[i],   matriz1[i+1],   matriz1[i+2],
    matriz2[i/3], matriz2[i/3+3], matriz2[i/3+6] = filas[llama rellenaFila(i/3)];
    i = i+3;
  fin

  matriz = matriz1;
  escribe llama mostrar("MATRIZ 1:\n");

  matriz = matriz2;
  escribe llama mostrar("\nMATRIZ 2:\n");
fin
