globales
   r3: vector[4] de vector[3] de vector[2] de real;
   r2: vector[3] de vector[2] de real;
   r1: vector[2] de real;
   r0 : real;
   i, j, k, basura : entero;
fin

funcion f(n : entero) : entero es
secuencia
   escribe "f(", n, ")\n";
   devuelve n;
fin

funcion muestra (titulo: cadena) : entero es
secuencia

   escribe "\n", titulo, "\n";

   escribe "r3:";
   para i = 0 hasta 3 hacer
      para j = 0 hasta 2 hacer
         para k = 0 hasta 1 hacer
            escribe "\t", r3[i][j][k];
         fin
      fin
   fin

   escribe "\nr2:";
   para i = 0 hasta 2 hacer
      para j = 0 hasta 1 hacer
         escribe "\t", r2[i][j];
      fin
   fin

   escribe "\nr1:";
   para i = 0 hasta 1 hacer
      escribe "\t", r1[i];
   fin

   escribe "\nr0:\t", r0;

   nl;

   devuelve 0;

fin

funcion rellena () : entero es
secuencia

   para i = 0 hasta 3 hacer
      para j = 0 hasta 2 hacer
         para k = 0 hasta 1 hacer
            r3[i][j][k] = 1000 + 100 * i + 10 * j + k;
         fin
      fin
   fin

   para i = 0 hasta 2 hacer
      para j = 0 hasta 1 hacer
         r2[i][j] = 100 + 10 * i + j;
      fin
   fin

   para i = 0 hasta 1 hacer
      r1[i] = 10 + i;
   fin

   r0 = 1;

fin

secuencia

   r0 = -1.1e-1;
  
   r1[0], r1[1] = r0;

   r2[0], r2[1], r2[2] = r1;

   r3[llama f(0)], r3[llama f(1)], r3[llama f(2)], r3[llama f(3)] = r2;

   basura = llama muestra("A");

   basura = llama rellena();

   r2 = r3[3];

   basura = llama muestra("B");

   basura = llama rellena();

   r2[0], r2[2] = r1;
   r3[1], r3[3] = r2;
   r1 = r2[1];

   basura = llama muestra("C");

   basura = llama rellena();

   r3[llama f(0)][llama f(0)], r3[llama f(1)][llama f(1)], r3[llama f(2)][llama f(2)], r3[llama f(3)][llama f(3)] = r2[llama f(2)];

   basura = llama muestra("D");

fin
